%define upstream_name    HTTP-Daemon
%define upstream_version 6.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Base class for simple HTTP servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Date) >= 6.0.0
BuildRequires: perl(HTTP::Request) >= 6.0.0
BuildRequires: perl(HTTP::Response) >= 6.0.0
BuildRequires: perl(HTTP::Status) >= 6.0.0
BuildRequires: perl(IO::Socket)
BuildRequires: perl(LWP::MediaTypes) >= 6.0.0
BuildRequires: perl(Sys::Hostname)
BuildArch:  noarch

%description
Instances of the 'HTTP::Daemon' class are HTTP/1.1 servers that listen on a
socket for incoming requests. The 'HTTP::Daemon' is a subclass of
'IO::Socket::INET', so you can perform socket operations directly on it
too.

The accept() method will return when a connection from a client is
available. The returned value will be an 'HTTP::Daemon::ClientConn' object
which is another 'IO::Socket::INET' subclass. Calling the get_request()
method on this object will read data from the client and return an
'HTTP::Request' object. The ClientConn object also provide methods to send
back various responses.

This HTTP daemon does not fork(2) for you. Your application, i.e. the user
of the 'HTTP::Daemon' is responsible for forking if that is desirable. Also
note that the user is responsible for generating responses that conform to
the HTTP/1.1 protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 6.10.0-7.mga6
+ Revision: 1028432
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 6.10.0-6.mga6
+ Revision: 944572
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.10.0-5.mga5
+ Revision: 739522
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.10.0-4.mga5
+ Revision: 684999
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.10.0-3.mga4
+ Revision: 512101
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.10.0-2.mga3
+ Revision: 368262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 6.10.0-1.mga2
+ Revision: 212919
- update to 6.01

* Wed Mar 02 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 62595
- imported package perl-HTTP-Daemon


* Wed Mar 02 2011 cpan2dist 6.00-1mga
- initial mageia release, generated with cpan2dist
